#### Description:

This function returns a string holding a minimal textual serialisation of the supplied AST Object. The Object can re re-created from the serialisation using astFromString.

#### Synopsis

char ∗astToString( AstObject ∗this )

#### Parameters:

##### this

Pointer to the Object to be serialised.

#### Returned Value

##### astToString()

Pointer to dynamically allocated memory holding the serialisation, or NULL if an error occurs. The pointer should be freed when no longer needed using astFree.
Copyright (C) 2021 East Asian Observatory